Skip to main content
POST
/
api2
/
v1
/
netRateSchemes
/
{netRateSchemeUid}
/
clone
Clone net rate scheme
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/netRateSchemes/{netRateSchemeUid}/clone \
  --header 'Authorization: <api-key>'
{
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "defaultScheme": true,
  "id": "<string>",
  "name": "<string>",
  "organization": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "rates": {
    "if0": 123,
    "if100": 123,
    "if50": 123,
    "if75": 123,
    "if85": 123,
    "if95": 123,
    "mt0": 123,
    "mt100": 123,
    "mt50": 123,
    "mt75": 123,
    "mt85": 123,
    "mt95": 123,
    "nt0": 123,
    "nt100": 123,
    "nt50": 123,
    "nt75": 123,
    "nt85": 123,
    "nt99": 123,
    "repetition": 123,
    "tm0": 123,
    "tm100": 123,
    "tm101": 123,
    "tm50": 123,
    "tm75": 123,
    "tm85": 123,
    "tm95": 123
  },
  "uid": "<string>",
  "workflowStepNetSchemes": [
    {
      "id": "<string>",
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

netRateSchemeUid
string
required

Net rate scheme UID

Response

OK

createdBy
object
dateCreated
string<date-time>

Date and time the scheme was created

defaultScheme
boolean

Whether this scheme is the organization default applied when none is specified

id
string

Internal numeric identifier, encoded as a string

name
string

Name of the net rate scheme

organization
object
rates
object

Net rate percentages per match category. Non-translatable (NT) rates are returned as zero when the organization edition does not include the non-translatables-in-analyses feature.

uid
string

Unique identifier used in API paths

workflowStepNetSchemes
object[]

Per-workflow-step rates; steps of deleted workflow steps are excluded